Get Pool Partitions Description Get a list of all pool partitions. Use parameters as selection criteria to return a subset of the list. Requests Syntax GET http[s]://{datapathDNSname}/_rest_/pool_partition[?last_page][&name={string}][&page_length={32‑bit integer}][&page_offset={32‑bit integer}][&page_start_marker={string}][&type=NEARLINE|ONLINE] Request Parameters Parameter Description Required last_page If included, only the last page of results is returned. no name a The name of the partition. no page_length The maximum number of pool partitions to list. The default is all items after page_offset. no page_offset The starting point for the first pool partition to list. The default is 0. no page_start_marker The UUID or other unique attribute for the item just before the first item to list. Notes: § Specifying both page_offset and page_start_marker causes an error. § If neither page_offset, nor page_start_marker are specified, the page_offset default is used. no type The type of pool. Values: NEARLINE (ArcticBlue), ONLINE (SAS) no a. Parameter values can use wild cards (see Wild Card Syntax). Responses Response Elements <Data> <PoolPartition> <Id>{string}</Id> <Name>{string}</Name> <Type>NEARLINE|ONLINE</Type> </PoolPartition> ...</Data> where the response elements are defined as follows: Parameter Description Data The container for the response. PoolPartition The container for information about a single pool partition. Id The UUID for the partition. Name The name of the partition. Type The type of pool. Values: NEARLINE (ArcticBlue), ONLINE (SAS) Example Sample Request This request retrieves a list of pool partitions. GET http://blackpearl-hostname/_rest_/pool_partition/ HTTP/1.1 Sample Response HTTP/1.1 200 OK<Data> <PoolPartition> <Id>0a55e7c9-b538-46a6-a649-b61056c27500</Id> <Name>dp1</Name> <Type>NEARLINE</Type> </PoolPartition> <PoolPartition> <Id>6d9fd192-ca48-43e0-8d5b-14a169be028e</Id> <Name>dp2</Name> <Type>NEARLINE</Type> </PoolPartition> ...</Data>